### Method

# GLib Cond timed_wait

deprecated: 2.32

#### Declaration [src]

    gboolean
    g_cond_timed_wait (
      GCond* cond,
      GMutex* mutex,
      GTimeVal* abs_time
    )

#### Description [src]

Waits until this thread is woken up on `cond`, but not longer than until the time specified by `abs_time`. The `mutex` is unlocked before falling asleep and locked again before resuming.

If `abs_time` is `NULL`, `g_cond_timed_wait()` acts like g_cond_wait().

This function can be used even if `g_thread_init()` has not yet been called, and, in that case, will immediately return `TRUE`.

To easily calculate `abs_time` a combination of `g_get_real_time()` and `g_time_val_add()` can be used.

Deprecated since: 2.32

Use `g_cond_wait_until()` instead.

This method is not directly available to language bindings.

#### Parameters

`mutex`

  Type: `GMutex`

  A `GMutex` that is currently locked.

  The data is owned by the caller of the method.

`abs_time`

  Type: `GTimeVal`

  A `GTimeVal`, determining the final time.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if `cond` was signalled, or `FALSE` on timeout.